#
# spec file for package mozilla-deat (Version 1.7.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  mozilla

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool mozilla perl rpm

Name:           mozilla-deat
License:        GPL
Group:          Productivity/Networking/Web/Browsers
Version:        1.7.6
Release:        0.6
Source0:        mozilla-1.7.6.de-AT.langpack.xpi
Source1:        mozilla-deat-chrome
Source2:        locale-deat
PreReq:         mozilla >= %{version}, mozilla < 1.8
URL:            http://mozilla.kairo.at/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        German(Austria) language pack for Mozilla

%description
This package adds German translations and the de_AT region to Mozilla.



Authors:
--------
    Robert Kaiser <KaiRo@KaiRo.at>

%define prefix   /opt/mozilla/%{_lib}
%prep
cd %{_builddir}
mkdir -p langdeat
cd langdeat
unzip -o %{SOURCE0}
cd ..

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{prefix}
cp -a %{_builddir}/langdeat/chrome %{buildroot}%{prefix}
cp -a %{_builddir}/langdeat/defaults %{buildroot}%{prefix}
cp -R %{_builddir}/langdeat/searchplugins %{buildroot}%{prefix}
mkdir -p %{buildroot}%{prefix}/../installed-chrome.d/locales
cp %{SOURCE1} %{buildroot}%{prefix}/../installed-chrome.d/mozilla-deat
cp %{SOURCE2} %{buildroot}%{prefix}/../installed-chrome.d/locales/deat

%pre
/opt/mozilla/bin/rebuild-databases.sh --pre

%post
/opt/mozilla/bin/rebuild-databases.sh --post

%preun
[ -e /opt/mozilla/bin/rebuild-databases.sh ] && \
  /opt/mozilla/bin/rebuild-databases.sh --pre || :

%postun
[ -e /opt/mozilla/bin/rebuild-databases.sh ] && \
  /opt/mozilla/bin/rebuild-databases.sh --post || :

%clean
rm -rf %{buildroot}

%files
%defattr(644, root, root,755)
%dir %{prefix}/defaults/profile/AT
%dir %{prefix}/defaults/profile/AT/chrome
%dir %{prefix}/defaults/messenger/
%dir %{prefix}/defaults/messenger/AT/
%{prefix}/chrome/AT.jar
%exclude %{prefix}/chrome/de-win.jar
%{prefix}/chrome/de-unix.jar
%exclude %{prefix}/chrome/de-mac.jar
%{prefix}/chrome/de-AT.jar
%{prefix}/defaults/profile/AT/*.*
%{prefix}/defaults/profile/AT/chrome/*.*
%{prefix}/defaults/messenger/AT/mailViews.dat
%{prefix}/searchplugins/atgoogle.*
%{prefix}/searchplugins/degoogle.*
%{prefix}/searchplugins/chgoogle.*
%{prefix}/../installed-chrome.d/mozilla-deat
%{prefix}/../installed-chrome.d/locales/deat

%changelog -n mozilla-deat
* Fri Apr 15 2005 - stark@suse.de
- update to 1.7.6
* Thu Dec 30 2004 - stark@suse.de
- update to 1.7.5
- fixed uninstall scripts (#48266)
* Tue Sep 28 2004 - stark@suse.de
- fixed typo in alias map
* Sat Sep 25 2004 - stark@suse.de
- update to more current version to fit mozilla version
* Tue Jun 22 2004 - stark@suse.de
- update to 1.7 package
* Mon May 03 2004 - stark@suse.de
- update to 1.7rc1 pack
- removed platform dependent archives
- added locale aliases
* Wed Feb 04 2004 - stark@suse.de
- don't build as root
- avoid uninstall errors when mozilla was removed first (#31624)
- no longer NOARCH because of different paths (#34076)
- install to /opt/mozilla/%%_lib for biarch
- added mailViews.dat for messenger
* Sun Jan 25 2004 - stark@suse.de
- added CH Google searchplugin to filelist
* Thu Jan 22 2004 - stark@suse.de
- update for mozilla 1.6
- requires 1.6 or 1.6.x versions
* Fri Nov 28 2003 - stark@suse.de
- update for mozilla 1.5
* Wed Jul 09 2003 - stark@suse.de
- update for Mozilla 1.4
* Wed May 28 2003 - stark@suse.de
- fixed files section: directories must be 0755 not 644
* Mon Mar 31 2003 - stark@suse.de
- adopted and updated to Mozilla 1.3
* Wed Feb 19 2003 - pthomas@suse.de
- Initial package creation.
- Make de-AT the default if installed.
